package com.jkcredit.invoice.hub.config;

import com.alibaba.fastjson.JSON;
import com.jkcredit.invoice.hub.model.vo.common.AjaxResponseBody;
import com.jkcredit.invoice.hub.model.vo.common.AppResponseVo;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.AuthenticationFailureHandler;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Component
public class AjaxAuthenticationFailureHandler implements AuthenticationFailureHandler {

    @Override
    public void onAuthenticationFailure(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, AuthenticationException e) throws IOException, ServletException {
        /**
         * if (e instanceof UsernameNotFoundException || e instanceof BadCredentialsException) {
         *                 map.put("message","用户名或密码错误");
         *             } else if (e instanceof DisabledException) {
         *                 map.put("message","账户被禁用");
         *             } else {
         *                 map.put("message","登录失败!");
         *             }
         */
        httpServletResponse.setContentType("application/json;charset=UTF-8");
        httpServletResponse.setContentType("application/json");
        httpServletResponse.setStatus(HttpServletResponse.SC_OK);
        httpServletResponse.getWriter().write(JSON.toJSONString(new AppResponseVo(500, "用户名或密码错误", "")));
    }
}
