package com.jkcredit.invoice.hub.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.record.ConsumptionStatisticsDto;
import com.jkcredit.invoice.hub.model.po.record.ConsumptionStatisticsPo;
import org.apache.ibatis.annotations.Param;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/20 21:19
 * @version: V1.0
 **/
public interface ConsumptionStatisticsMapper extends BaseMapper {
    IPage<ConsumptionStatisticsPo> getConsumptionStatistics(Page page, @Param("query") ConsumptionStatisticsDto dto);
}
