package com.jkcredit.invoice.hub.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.apiCarFree.InvoiceResultDto;
import com.jkcredit.invoice.hub.model.dto.searchInvoiceResult.InvoiceRecordDto;
import com.jkcredit.invoice.hub.model.po.searchInvoiceResult.InvoiceRecordPo;
import com.jkcredit.invoice.hub.model.po.searchInvoiceResult.SearchInvoiceResultPo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/18 20:51
 * @version: V1.0
 **/
public interface SearchInvoiceResultMapper extends BaseMapper<SearchInvoiceResultPo> {
    List<SearchInvoiceResultPo> getSearchInvoiceResult(String num, Long userId);

    IPage<InvoiceRecordPo> getInvoiceRecords(Page page, @Param("query") InvoiceRecordDto dto);
}
