package com.jkcredit.invoice.hub.model.po.searchInvoiceResult;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/20 17:17
 * @version: V1.0
 **/
@Data
public class InvoiceRecordPo implements Serializable {
    private static final long serialVersionUID = -8574202842501743075L;
    // 运单编号
    private String waybillNum;
    // 车牌号
    private String plateNum;
    // 交易id
    private String transactionId;
    // 交易金额
    private BigDecimal fee;
    // 价税合计
    private Long totalAmount;
    // 税率
    private String taxRate;
    // 金额
    private BigDecimal amount;
    // 查询时间
    private Date createTime;
    // appKey
    private String appKey;
    // 公司名称
    private String company;
}
