package com.jkcredit.invoice.hub.model.vo.record;

import lombok.Data;

import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/20 21:17
 * @version: V1.0
 **/
@Data
public class ConsumptionStatisticsVo implements Serializable {

    private static final long serialVersionUID = -5372707176653263308L;
    // appKey
    private String appKey;
    // 公司名称
    private String company;
    // 运单开始总计
    private String startAmount;
    // 运单结束总计
    private String endAmount;
    // 发票条数总计
    private String invoiceAmount;
    // 计费条数总计
    private String chargeAmount;
    // 总金额
    private String totalAmount;
    // 抵税金额
    private String totalTaxAmount;
}
