package com.jkcredit.invoice.hub.constant;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/7 22:34
 * @version: V1.0
 **/
public class CommonConstant {
    public static String MESSAGE_SUCCESS = "成功";
    public static String MESSAGE_FAILED = "失败";
    public static String USER_NOT_EXIST = "用户不存在";
    public static String QUERY_FAILED = "查询失败";
    public static Integer ACTIVATED_DELETED = 2;
    public static String[] CAR_FREE_API_ARGS = {"COMPANY_QUERY_V1", "COMPANY_ADD_V1", "VEHICLE_REGISTER_QUERY",
            "VEHICLE_REGISTER", "WAY_BILL_START", "WAY_BILL_END", "WAY_BILL_HISTORY_START", "WAY_BILL_HISTORY_END",
            "WAY_BILL_NUM_FIND_INVOICE", "WAY_BILL_COUNT_QUERY", "BALANCE_QUERY", "FIND_INVOICE", "FIND_NO_SEARCH_NUM"};
    // companyNum
    public static final String COMPANY_NUMBER = "10004616";

    // 公司查询
    public static String COMPANY_QUERY_V1 = "COMPANY_QUERY_V1";
    // 企业注册
    public static String COMPANY_ADD_V1 = "COMPANY_ADD_V1";
    // 无车-车辆备案查询
    public static String VEHICLE_REGISTER_QUERY = "VEHICLE_REGISTER_QUERY";
    // 无车-车辆备案
    public static String VEHICLE_REGISTER = "VEHICLE_REGISTER";
    // 无车-运单开始指令
    public static String WAY_BILL_START = "WAY_BILL_START";
    // 无车-运单结束指令
    public static String WAY_BILL_END = "WAY_BILL_END";
    // 无车-历史运单开始指令
    public static String WAY_BILL_HISTORY_START = "WAY_BILL_HISTORY_START";
    // 无车-历史运单结束指令
    public static String WAY_BILL_HISTORY_END = "WAY_BILL_HISTORY_END";
    // 无车-运单号查询发票数据
    public static String WAY_BILL_NUM_FIND_INVOICE = "WAY_BILL_NUM_FIND_INVOICE";
    // 月账单交易查询
    public static String WAY_BILL_COUNT_QUERY = "WAY_BILL_COUNT_QUERY";
    // 用户余额查询
    public static String BALANCE_QUERY = "BALANCE_QUERY";
    // 获取未查询过发票的运单编号
    public static String FIND_NO_SEARCH_NUM = "FIND_NO_SEARCH_NUM";

    // 备案来源 无车承运人
    public static Integer WAYBILL_SOURCE_1 = 1;
    // 实时运单标记
    public static Integer REALTIME_WAY_BILL = 1;
    // 历史运单标记
    public static Integer HISTORY_WAY_BILL = 2;
    // 成功code
    public static Integer SUCCESS_CODE = 1;
    // 失败code
    public static Integer ERROR_CODE = 2;
    // 运单状态-未结束
    public static Integer STATUS_NOT_OVER = 1;
    // 运单状态-已结束
    public static Integer STATUS_OVER = 2;
    // 运单状态-开票中
    public static Integer STATUS_MAKING_INVOICE = 4;
    // 运单状态-开票完成
    public static Integer STATUS_INVOICE_OVER = 3;

    // 发票信息key
    public static String NUM_FIND_INVOICE_KEY = "num:find:invoice";

    // 发票交易id key
    public static String TRANSACTION_ID_KEY = "num:transactionId:invoice";

    // 计费交换机
    public static final String CHARGE_EXCHANGE = "charge_exchange";

    // 计费队列
    public static final String CHARGE_QUEUE = "charge_queue";
}
