package com.jkcredit.invoice.hub.model.po.searchInvoice;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/18 15:14
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_search_invoice")
public class SearchInvoicePo implements Serializable {
    private static final long serialVersionUID = -3877836713461291240L;
    @Id
    @TableId(type = IdType.AUTO)
    private Long id;

    private String info;
    private String receiveTime;
    private String plateNum;
    private Integer vehicleType;
    private String waybillNum;
    private Integer waybillStatus;
    private String waybillStartTime;
    private String waybillEndTime;
    //    private Integer isSearch;
    private Date createTime;
    private Date updateTime;
    private Integer activated;
}
