package com.jkcredit.invoice.hub.service.searchInvoiceResult;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.apiCarFree.InvoiceResult;
import com.jkcredit.invoice.hub.model.dto.apiCarFree.InvoiceResultDto;
import com.jkcredit.invoice.hub.model.dto.searchInvoiceResult.InvoiceRecordDto;
import com.jkcredit.invoice.hub.model.dto.searchInvoiceResult.SearchInvoiceResultDto;
import com.jkcredit.invoice.hub.model.vo.record.InvoiceRecordVo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/18 20:52
 * @version: V1.0
 **/
public interface SearchInvoiceResultService {
    void saveSearchInvoiceResult(SearchInvoiceResultDto dto);

    List<InvoiceResult> getSearchInvoiceResult(String num, Long userId);

    IPage<InvoiceRecordVo> getInvoiceRecords(Page page, InvoiceRecordDto dto);
}
